# eric4.Plugins.VcsPlugins.vcsPySvn.SvnMergeDialog

Module implementing a dialog to enter the data for a merge operation.

### Global Attributes

None

### Classes

SvnMergeDialog | Class implementing a dialog to enter the data for a merge operation.

### Functions

None

## SvnMergeDialog

Class implementing a dialog to enter the data for a merge operation.

### Derived from

QDialog, Ui_SvnMergeDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnMergeDialog | Constructor
__enableOkButton | Private method used to enable/disable the OK-button.
getParameters | Public method to retrieve the tag data.
on_tag1Combo_editTextChanged | Private slot to handle the tag1Combo editTextChanged signal.
on_tag2Combo_editTextChanged | Private slot to handle the tag2Combo editTextChanged signal.

### Static Methods

None

#### SvnMergeDialog (Constructor)

SvnMergeDialog(mergelist1, mergelist2, targetlist, force = False, parent = None)

Constructor

mergelist1
  list of previously entered URLs/revisions (QStringList)
mergelist2
  list of previously entered URLs/revisions (QStringList)
targetlist
  list of previously entered targets (QStringList)
force
  flag indicating a forced merge (boolean)
parent
  parent widget (QWidget)

#### SvnMergeDialog.__enableOkButton

__enableOkButton()

Private method used to enable/disable the OK-button.

text
  ignored

#### SvnMergeDialog.getParameters

getParameters()

Public method to retrieve the tag data.

Returns:
  tuple naming two tag names or two revisions, a target and a flag indicating a forced merge (QString, QString, QString, boolean)

#### SvnMergeDialog.on_tag1Combo_editTextChanged

on_tag1Combo_editTextChanged(text)

Private slot to handle the tag1Combo editTextChanged signal.

#### SvnMergeDialog.on_tag2Combo_editTextChanged

on_tag2Combo_editTextChanged(text)

Private slot to handle the tag2Combo editTextChanged signal.

Up